%% By L_DelOff
%  Формирует массив дат(года, месяцы), по которым искать информацию по событию

function [years,months]=formDateArray(month)
global param
if 1%param.formDateArray.debug==1
    param.alg.monthPrev=1;
    param.alg.monthAfter=1;
    param.alg.years=[1982:2022];
end
years=param.alg.years;
months=month-param.alg.monthPrev:month+param.alg.monthAfter;
for i=1:length(months)
    if months(i)<1
        months(i)=months(i)+12;
    end
    if months(i)>12
        months(i)=months(i)-12;
    end
end
end